#include <stdio.h>
#include <stdlib.h>

/* This C source file belongs to
   https://rudhar.com/sfreview/dv/eval-dvx/issues/2081130a.htm 
    R. Harmsen 2008
*/

int main (int argc, char **argv)
{
   int i;

   srand(47);

   /* printf("\"Main Lemma\"\t\"Translation\"\tClient\"\t\"Subject\"\t\"Source definition\"\t\"Target definition\"\n"); */

   for (i = 1; i < 1000; i++)
   {
      /* Subject and Client specified, but no Definitions */
      printf(
	 "\"This term in English %05d\"\t\"Deze term in het Nederlands %05d\"\t%d\t%d\t\t\n",
	 i, i, rand() % 100, rand() % 100);


      /* In some 5 percent of cases, there is no Subject and no Client,
	 but the entry does have Definitions */
      if ((rand() % 100) < 5)
      {
	 i++;
	 printf(
	    "\"This term in English %05d\"\t\"Deze term in het Nederlands %05d\"\t\t\t\"Definition %05d\"\t\"Definitie %05d\"\n",
	    i, i, i, i);
      }

   }

   return  0;
}
